> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Issues



## OpenAPI

````yaml /openapi.json post /v1/issues/export
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/export:
    post:
      tags:
        - issues
      summary: Export Issues
      operationId: export_issues_v1_issues_export_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueExportRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Export Issues V1 Issues Export Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    IssueExportRequest:
      properties:
        columns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Columns
        filters:
          $ref: '#/components/schemas/IssueListFilters'
        format:
          default: csv
          title: Format
          type: string
      title: IssueExportRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IssueListFilters:
      properties:
        assignee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Id
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
        date_from:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO-8601 UTC. Inclusive start of the [date_from, date_to) range.
          title: Date From
        date_to:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ISO-8601 UTC. Exclusive end of the [date_from, date_to) range — an
            issue with source_created_at exactly equal to date_to is NOT
            included.
          title: Date To
        has_pattern:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Filter to issues that have (true) or do not have (false) an
            associated pattern.
          title: Has Pattern
        limit:
          default: 50
          maximum: 200
          minimum: 1
          title: Limit
          type: integer
        pattern_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern Id
        q:
          anyOf:
            - maxLength: 200
              type: string
            - type: 'null'
          title: Q
        risk_max:
          anyOf:
            - maximum: 100
              minimum: 0
              type: integer
            - type: 'null'
          title: Risk Max
        risk_min:
          anyOf:
            - maximum: 100
              minimum: 0
              type: integer
            - type: 'null'
          title: Risk Min
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        sort:
          default: '-risk_score'
          title: Sort
          type: string
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        team:
          anyOf:
            - type: string
            - type: 'null'
          title: Team
      title: IssueListFilters
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````